GET /v1/public/workflows/{id}/meta
Get public metadata (name, description) for a workflow. No auth required — intentionally unauthenticated for OG image generation. Only returns title and description; no sensitive data is exposed.
GET
/v1/public/workflows/{id}/meta
Get public metadata (name, description) for a workflow.
No auth required — intentionally unauthenticated for OG image generation.
Only returns title and description; no sensitive data is exposed.
Path Parameters
id
string
required
path
Workflow ID
Responses
200
OK
application/jsoncode
integer
data
object
description
string
Description is a short summary of what the workflow does.
name
string
Name is the display name of the workflow.
workflowId
string
WorkflowID is the workflow identifier.
message
string
requestId
string
404
Not Found
curl -X GET 'https://api.example.com/v1/public/workflows/string/meta' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/workflows/string/meta', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/workflows/string/meta', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/workflows/string/meta", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "description": "<string>", "name": "<string>", "workflowId": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/public/workflows/{id}/meta
